Agent Invocations
Create an agent invocation
Creates an invocation for the specified agent version.
Parameter jalur
agent_name
string
diperlukan
The name of the agent.
Parameter kueri
agent_session_id
string
Optional session ID returned by the session CRUD APIs to reuse an existing sandbox. If not provided, a new session ID will be auto-generated.
api-version
string
diperlukan
The API version to use for this operation.
Parameter header
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Isi Permintaan
The request body.
Respons
The request has succeeded.
Header
x-agent-invocation-id
string
diperlukan
Unique identifier for this invocation.
x-agent-session-id
string
diperlukan
Session ID for this invocation. Returns the provided session ID or an auto-generated one if not provided in the request.
Isi
Minta
POST /agents/{agent_name}/endpoint/protocols/invocations HTTP/1.1
Tanggapan
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json